export declare enum DFSOperation {
    VISIT = 0,
    PROCESS = 1
}
export declare class Range<K> {
    low: K;
    high: K;
    includeLow: boolean;
    includeHigh: boolean;
    constructor(low: K, high: K, includeLow?: boolean, includeHigh?: boolean);
    isInRange(key: K, comparator: (a: K, b: K) => number): boolean;
}
